Bug 868072 - gvfs returns too early preventing xdg-open from working
gvfs returns too early preventing xdg-open from working
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glib2 (Show other bugs)
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Colin Walters
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-10-18 23:04 EDT by jcpunk
Modified: 2017-12-06 05:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 05:29:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 652262 None None None 2012-10-18 23:04:53 EDT
FreeDesktop.org 32016 None None None 2012-10-18 23:04:08 EDT

  None (edit)
Description jcpunk 2012-10-18 23:04:08 EDT
Description of problem: applications like mutt which use /etc/mailcap to open attachments don't work.  It looks like things are returning too quickly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. email self an image
2. launch mutt in a gnome-terminal
3. attempt to open image from mutt
Actual results: failure

Expected results: success

Additional info:
Comment 3 RHEL Product and Program Management 2013-10-13 20:21:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Ondrej Holy 2015-10-09 09:56:26 EDT
There was proposed workaround in the gvfs upstream bug, but it has not been pushed to master... This should be fixed in gio, because g_app_info_launch_uris returns too early and there isn't way to detect this...
Comment 5 Jan Kurik 2017-12-06 05:29:53 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.